/**
  *  \file client/tiles/shipcargo.h
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_SHIPCARGO_H
#define PCC_V2_CLIENT_TILES_SHIPCARGO_H

#include "client/wtile.h"
#include "ui/table.h"

class GShip;

/// Ship cargo tile (ore/clans/cash).
class WShipCargoTile : public WObjectSelectionObserverTile {
    void drawCargoBar(GfxCanvas& can, int x, int y, int wi, int have, int max, int color, const char* fmt);
    void drawShipCargoTile(UIAbstractTableWriter& tw, const GShip& sh);
    ObjectHolder h;
 public:
    WShipCargoTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

class WNarrowShipCargoTile : public WObjectSelectionObserverTile {
 public:
    WNarrowShipCargoTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
